Installation gt540m optimus sur laptop avec bumblebee

Tags: #<Tag:0x00007ff8e636a060> #<Tag:0x00007ff8e6369e08> #<Tag:0x00007ff8e6369d18>

Bonjour,
Je suis sous debian 11 (gnome) avec un laptop i5 et carte nvidia optimus gt540m.
Petit test avant tout :

lspci | egrep "VGA|3D|Display"
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 540M] (rev a1) 

J’ai suivis ce tuto https://debian-facile.org/viewtopic.php?pid=385428#p385428
J’installe en voulant utiliser le driver nvidia
Pas de problème avec la carte intel.
Par contre avec la carte nvidia

optirun glxinfo -B
[ 6260.983228] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver
[ 6260.983293] [ERROR]Aborting because fallback start is disable

j’ai donc modifié mon bumblebee.conf et ajouté nividia et nvidia-current
Sans succès.
Pas de pb avec

modinfo nvidia-current
filename:       /lib/modules/5.10.0-17-amd64/updates/dkms/nvidia-current.ko
firmware:       nvidia/470.129.06/gsp.bin
alias:          char-major-195-*
version:        470.129.06
supported:      external
license:        NVIDIA
srcversion:     EB51CE03E42F9639560C463
alias:          pci:v000010DEd*sv*sd*bc03sc02i00*
alias:          pci:v000010DEd*sv*sd*bc03sc00i00*
depends:        drm
retpoline:      Y
name:           nvidia
vermagic:       5.10.0-17-amd64 SMP mod_unload modversions
parm:           NvSwitchRegDwords:NvSwitch regkey (charp)
parm:           NvSwitchBlacklist:NvSwitchBlacklist=uuid[,uuid...] (charp)
parm:           NVreg_ResmanDebugLevel:int
parm:           NVreg_RmLogonRC:int
parm:           NVreg_ModifyDeviceFiles:int

pas de pb non plus avec

dpkg -l | egrep "xserver-xorg-video-nvidia"
ii  xserver-xorg-video-nvidia              470.129.06-6~deb11u1             amd64        NVIDIA binary Xorg driver

J’ai bien sur testé en redémarrant l’ordi ,mise à jour,mais toujours le même problème.

Bonsoir,

Voir cette discussion concernant ce GPU NVIDIA :
https://debian-facile.org/viewtopic.php?pid=385430#p385430

A+

Merci , c’est moi aussi qui est posté sur debian-facile.
Je ne savais pas si les 2 forum étaient liés.

Bonjour fabien-dijon

Et bienvenue sur le forum debian-fr.org :slight_smile:


Tu as bien fait, comme ça tu pourras profiter des diverses solutions proposées sur les deux forums,
et comme ylag a eu la bonne idée de citer le lien, tout le monde pourra aller voir ce qui aura déjà été proposé, ce qui évitera de refaire les mêmes propositions.

Merci pour cette réponse .
Je ne connaît pas beaucoup Debian j’était sous Ubuntu depuis plusieurs année.

C’est cool de tester un peu les différentes distributions Linux,
venant de Ubuntu à debian, tu ne devrais pas être trop dépaysé puisque Ubuntu est basé sur debian.


Come je n’ai jamais eu de machine qui utilise ce genre de configuration graphique, je ne connais pas du tout optirun ni bumblebee, ou plutôt, je n’ai fait que survoler de très loin les messages que j’ai pu voir à ce sujet.

La documentation en question semble actuellement obsolète et ce depuis Debian… 11 !

C’est pas faute d’avoir expliqué dans ce post le propos - qui date du 21 juin 2021 - soit plus d’un an :

PS : Oui, je suis l’auteur/collaborateur - cela dépend des sites - des tutos en question.

C’est pour ca que mon laptop n’a pas d’optimus

Merci pour ta réponse.
Bon j’ai désinstallé bumblebee et installer le driver legacy nvidia.
Je pense que le pc utilise toujours le gpu intel.

glxinfo |  grep OpenGL

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 3000 (SNB GT2)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 20.3.5
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 20.3.5
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 20.3.5
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions

Je suis un peu perdu dans ce qu’il me reste a faire .
J’ai essayé de modifier xorg.conf sans succès.
Je me demande si il ne faut pas que je recommence tout .
Donc en réinstallant debian